{
    "Packages": {
        "redis-package": {
            "Debug": false,
	    "UniqueID": "3dee6b284a09eb6c047dc1ff921f1600dd23fe0ba6e1419b057d68349c6a2147"
        }
    },
    "Marbles": {
        "redis-main": {
            "Package": "redis-package",
            "Parameters": {
                "Argv": [
                    "redis-server",
                    "redis.conf"
                ],
                "Files": {
                    "/dev/attestation/protected_files_key": "{{ hex .Secrets.ProtectedFilesKey }}",
                    "redis.conf": "bind 0.0.0.0\nprotected-mode no\nport 0\ntls-port 6379\ntls-cert-file redis.crt\ntls-key-file redis.key\ntls-ca-cert-file ca.crt\ntls-auth-clients no\ntls-replication yes\ntls-cluster yes\nsave ''\nrequirepass {{ base64 .Secrets.RedisPassword }}",
                    "redis.crt": "{{ pem .MarbleRun.MarbleCert.Cert }}",
                    "redis.key": "{{ pem .MarbleRun.MarbleCert.Private }}",
                    "ca.crt": "{{ pem .MarbleRun.RootCA.Cert }}"
                }
            }
        }
    },
    "Secrets": {
        "ProtectedFilesKey": {
            "Type": "symmetric-key",
            "Size": 128
        },
        "RedisPassword": {
            "Shared": true,
            "Type": "symmetric-key",
            "Size": 128
        }
    },
    "Roles": {
        "redis": {
            "ResourceType": "Secrets",
            "ResourceNames": [
                "RedisPassword"
            ],
            "Actions": [
                "ReadSecret"
            ]
        }
    },
    "Users": {
        "redis": {
            "Certificate": "-----BEGIN CERTIFICATE-----\nMIIFPjCCA...",
            "Roles": [
                "redis"
            ]
        }
    }
}
